boost::geometry::strategy::side::services::default_strategy< Tag, CalculationType > Struct Template Reference

Traits class binding a side determination strategy to a coordinate system. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_TYPE,(types< Tag >))

## Detailed Description

### template<typename Tag, typename CalculationType = void>
struct boost::geometry::strategy::side::services::default_strategy< Tag, CalculationType >

Traits class binding a side determination strategy to a coordinate system.

Template Parameters:

  Tag | tag of coordinate system of point-type
  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

## Member Function Documentation

template<typename Tag , typename CalculationType = void>

boost::geometry::strategy::side::services::default_strategy< Tag, CalculationType >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_TYPE | ,
|  | (types< Tag >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK